trait Model

trait User extends Model {
  // Personally identifiable information
  def name: String
  def pronouns: String
  def email: String
  // Interests and skills
  def causes: Set[Cause]
  def skills: Set[Skill]
}

trait Organization extends Model {
  // Identifying information
  def name: String
  // Categories and skills needed
  def causes: Set[Cause]
  def skillsNeeded: Set[Skill]
}
